easy_install lxml

Probleme bei der Installation?
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

easy_install lxml

Beitragvon debian75 » Montag 3. März 2008, 11:56

moin,

ich möchte lxml installieren, bekomme aber folgende fehlermeldung:

error: Setup script exited with error: command 'gcc' failed with exit status 1

gcc ist aber installiert:

gcc version 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)

hier meine schritte bis jetzt:

- apt-get update
- apt-get install python2.5
- apt-get install python2.5-dev
- download and run ez_setup.py
- easy_install cherrypy
- easy_install cheetah

bis hier alles OK

- easy_install lxml : error: Setup script exited with error: command 'gcc' failed with exit status 1

kann mir wer sagen woran das liegt ?
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 13:52

ich habe jetzt libxml2 und libxslt über apt-get installiert. jetzt ist der neue fehler:

[code=]
waring: no previously-included files found matching 'src/lxml/etree.'
[/code]

muss ich erst noch was insrallieren ?
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Montag 3. März 2008, 13:55

Vermutlich verträgt sich lxml mit den setuptools nicht (passiert peinlicherweise noch recht oft) oder du hast die für lxml nötigen Bibliotheken nicht installiert.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 14:07

uhm....wie bekomm ich das dann jetzt installiert ? ich hab apt-get install python-lxml versucht aber da jammert er: using unsupported version pyrhon2.5.....

geez..

ich will nen apt-get python-lxml für 2.5 haben oder nen easy_install :))
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 14:13

ok, hier der aktuelle fehler bei easy_install:

[code=]
Searching for lxml
Reading http://pypi.python.org/simple/lxml/
Reading http://codespeak.net/lxml
Best match: lxml 2.0.2
Downloading http://codespeak.net/lxml/lxml-2.0.2.tgz
Processing lxml-2.0.2.tgz
Running lxml-2.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-eschK0/lxml-2.0.2/egg-dist-tmp-JhEXm_
Building lxml version 2.0.2.
NOTE: Trying to build without Cython, pre-generated 'src/lxml/etree.c' needs to be available.
warning: no previously-included files found matching 'doc/pyrex.txt'
[/code]

danach geht nix mehr.
BlackJack

Beitragvon BlackJack » Montag 3. März 2008, 14:39

Anscheinend braucht man Cython ("Fork" von Pyrex) zum Übersetzen!?
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 14:46

glaub eben nicht:

zitat von: http://codespeak.net/lxml/installation.html

"The source distribution ships with pre-generated C source files, so you do not need Cython installed to build from release sources."
BlackJack

Beitragvon BlackJack » Montag 3. März 2008, 14:53

Was genau bedeutet denn "danach geht nix mehr"?
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 15:10

also, ich hab 2 dinge probiert. zuerst einfach nur easy_install, was folgende meldung ergibt:

[code=]
Searching for lxml
Reading http://pypi.python.org/simple/lxml/
Reading http://codespeak.net/lxml
Best match: lxml 2.0.2
Downloading http://codespeak.net/lxml/lxml-2.0.2.tgz
Processing lxml-2.0.2.tgz
Running lxml-2.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-c2aXsC/lxml-2.0.2/egg-dist-tmp-liK94S
Building lxml version 2.0.2.
NOTE: Trying to build without Cython, pre-generated 'src/lxml/etree.c' needs to be available.
ERROR: /bin/sh: xslt-config: command not found

** make sure the development packages of libxml2 and libxslt are installed **

ERROR: /bin/sh: xslt-config: command not found

** make sure the development packages of libxml2 and libxslt are installed **

ERROR: /bin/sh: xslt-config: command not found

** make sure the development packages of libxml2 and libxslt are installed **

warning: no previously-included files found matching 'doc/pyrex.txt'
In file included from src/lxml/lxml.etree.c:31:
src/lxml/etree_defs.h:44:31: error: libxml/xmlversion.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:38:29: error: libxml/encoding.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:39:28: error: libxml/chvalid.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:40:25: error: libxml/hash.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:41:25: error: libxml/tree.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:42:29: error: libxml/HTMLtree.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:43:26: error: libxml/valid.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:44:26: error: libxml/xmlIO.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:45:28: error: libxml/xmlsave.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:46:28: error: libxml/globals.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:47:30: error: libxml/xmlstring.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:48:30: error: libxml/xmlmemory.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:50:29: error: libxml/xmlerror.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:51:26: error: libxml/xpath.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:52:35: error: libxml/xpathInternals.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:53:25: error: libxml/c14n.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:54:27: error: libxml/parser.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:55:36: error: libxml/parserInternals.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:56:31: error: libxml/HTMLparser.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:57:29: error: libxml/xinclude.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:58:26: error: libxslt/xslt.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:59:32: error: libxslt/xsltconfig.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:60:35: error: libxslt/xsltInternals.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:61:32: error: libxslt/extensions.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:62:31: error: libxslt/documents.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:63:31: error: libxslt/transform.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:64:31: error: libxslt/xsltutils.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:65:30: error: libxslt/security.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:66:27: error: libxslt/extra.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:67:28: error: libexslt/exslt.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:68:28: error: libxml/relaxng.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:69:31: error: libxml/xmlschemas.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:70:31: error: libxml/schematron.h: Datei oder Verzeichnis nicht gefunden
src/lxml/lxml.etree.c:271: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
src/lxml/lxml.etree.c:286: error: expected specifier-qualifier-list before ‘xmlDoc’
src/lxml/lxml.etree.c:315: error: expected specifier-qualifier-list before ‘xmlNode’
src/lxml/lxml.etree.c:408: error: expected specifier-qualifier-list before ‘xmlAttr’
src/lxml/lxml.etree.c:440: error: expected specifier-qualifier-list before ‘_node_to_node_function’
src/lxml/lxml.etree.c:655: error: expected declaration specifiers or ‘...’ before ‘xmlNode’error: Setup script exited with interrupted
...
...
...
src/lxml/lxml.etree.c:107494: error: ‘__pyx_f_4lxml_5etree_11_BaseParser__parseDocFromFile’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107495: error: ‘struct __pyx_vtabstruct_4lxml_5etree__BaseParser’ has no member named ‘_parseDocFromFilelike’
src/lxml/lxml.etree.c:107495: error: ‘__pyx_f_4lxml_5etree_11_BaseParser__parseDocFromFilelike’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107506: error: ‘struct __pyx_vtabstruct_4lxml_5etree__Document’ has no member named ‘_findOrBuildNodeNs’
src/lxml/lxml.etree.c:107506: error: ‘__pyx_f_4lxml_5etree_9_Document__findOrBuildNodeNs’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107507: error: ‘struct __pyx_vtabstruct_4lxml_5etree__Document’ has no member named ‘_setNodeNs’
src/lxml/lxml.etree.c:107508: error: ‘struct __pyx_vtabstruct_4lxml_5etree__Document’ has no member named ‘_setNodeNamespaces’
src/lxml/lxml.etree.c:107596: error: ‘struct __pyx_vtabstruct_4lxml_5etree_ElementDepthFirstIterator’ has no member named ‘_nextNodeAnyTag’
src/lxml/lxml.etree.c:107596: error: ‘__pyx_f_4lxml_5etree_25ElementDepthFirstIterator__nextNodeAnyTag’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107597: error: ‘struct __pyx_vtabstruct_4lxml_5etree_ElementDepthFirstIterator’ has no member named ‘_nextNodeMatchTag’
src/lxml/lxml.etree.c:107597: error: ‘__pyx_f_4lxml_5etree_25ElementDepthFirstIterator__nextNodeMatchTag’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107780: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserDictionaryContext’ has no member named ‘_getThreadDict’
src/lxml/lxml.etree.c:107780: error: ‘__pyx_f_4lxml_5etree_24_ParserDictionaryContext__getThreadDict’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107781: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserDictionaryContext’ has no member named ‘initThreadDictRef’
src/lxml/lxml.etree.c:107782: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserDictionaryContext’ has no member named ‘initParserDict’
src/lxml/lxml.etree.c:107783: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserDictionaryContext’ has no member named ‘initXPathParserDict’
src/lxml/lxml.etree.c:107784: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserDictionaryContext’ has no member named ‘initDocDict’
src/lxml/lxml.etree.c:107790: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FileReaderContext’ has no member named ‘_createParserInput’
src/lxml/lxml.etree.c:107790: error: ‘__pyx_f_4lxml_5etree_18_FileReaderContext__createParserInput’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107791: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FileReaderContext’ has no member named ‘_readDoc’src/lxml/lxml.etree.c:107791: error: ‘__pyx_f_4lxml_5etree_18_FileReaderContext__readDoc’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107792: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FileReaderContext’ has no member named ‘_readDtd’src/lxml/lxml.etree.c:107792: error: ‘__pyx_f_4lxml_5etree_18_FileReaderContext__readDtd’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107793: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FileReaderContext’ has no member named ‘copyToBuffer’
src/lxml/lxml.etree.c:107806: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserContext’ has no member named ‘_handleParseResultDoc’
src/lxml/lxml.etree.c:107806: error: ‘__pyx_f_4lxml_5etree_14_ParserContext__handleParseResultDoc’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107826: error: ‘struct __pyx_vtabstruct_4lxml_5etree__ParserContext’ has no member named ‘_handleParseResultDoc’
src/lxml/lxml.etree.c:107826: error: ‘__pyx_f_4lxml_5etree_20_TargetParserContext__handleParseResultDoc’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107918: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FilelikeWriter’ has no member named ‘_createOutputBuffer’
src/lxml/lxml.etree.c:107918: error: ‘__pyx_f_4lxml_5etree_15_FilelikeWriter__createOutputBuffer’ undeclared (first use in this function)
src/lxml/lxml.etree.c:107919: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FilelikeWriter’ has no member named ‘write’
src/lxml/lxml.etree.c:107920: error: ‘struct __pyx_vtabstruct_4lxml_5etree__FilelikeWriter’ has no member named ‘close’
src/lxml/lxml.etree.c:108080: error: ‘struct __pyx_vtabstruct_4lxml_5etree_XSLT’ has no member named ‘_run_transform’
src/lxml/lxml.etree.c:108080: error: ‘__pyx_f_4lxml_5etree_4XSLT__run_transform’ undeclared (first use in this function)
src/lxml/lxml.etree.c:108695: error: ‘xmlParserVersion’ undeclared (first use in this function)
src/lxml/lxml.etree.c:108788: error: ‘LIBXML_VERSION’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109262: error: ‘__pyx_v_4lxml_5etree___DEFAULT_ENTITY_LOADER’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109271: error: ‘__pyx_f_4lxml_5etree__local_resolver’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109280: error: ‘XML_PARSE_NOENT’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109280: error: ‘XML_PARSE_NOCDATA’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109280: error: invalid operands to binary |
src/lxml/lxml.etree.c:109280: error: ‘XML_PARSE_NONET’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109280: error: invalid operands to binary |
src/lxml/lxml.etree.c:109280: error: invalid operands to binary |
src/lxml/lxml.etree.c:109311: error: ‘XML_PARSE_RECOVER’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109311: error: ‘HTML_PARSE_NONET’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109311: error: invalid operands to binary |
src/lxml/lxml.etree.c:109311: error: invalid operands to binary |
src/lxml/lxml.etree.c:109564: error: ‘XML_XPATH_NUMBER_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109573: error: ‘XML_XPATH_UNFINISHED_LITERAL_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109582: error: ‘XML_XPATH_VARIABLE_REF_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109591: error: ‘XML_XPATH_INVALID_PREDICATE_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109600: error: ‘XML_XPATH_UNCLOSED_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109609: error: ‘XML_XPATH_INVALID_CHAR_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109634: error: ‘XML_XPATH_UNDEF_VARIABLE_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109643: error: ‘XML_XPATH_UNDEF_PREFIX_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109652: error: ‘XML_XPATH_UNKNOWN_FUNC_ERROR’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109661: error: ‘XML_XPATH_INVALID_OPERAND’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109670: error: ‘XML_XPATH_INVALID_TYPE’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109679: error: ‘XML_XPATH_INVALID_ARITY’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109688: error: ‘XML_XPATH_INVALID_CTXT_SIZE’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109697: error: ‘XML_XPATH_INVALID_CTXT_POSITION’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109894: error: ‘LIBXSLT_VERSION’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109905: error: ‘xsltLibxsltVersion’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109916: error: ‘__pyx_v_4lxml_5etree_XSLT_DOC_DEFAULT_LOADER’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109916: error: ‘xsltDocDefaultLoader’ undeclared (first use in this function)
src/lxml/lxml.etree.c:109925: error: ‘__pyx_f_4lxml_5etree__xslt_doc_loader’ undeclared (first use in this function)
error: Setup script exited with error: command 'gcc' failed with exit status 1
[/code]


danach habe ich über apt-get libxml2-dev und libxslt1-dev installiert und nochmal easy_install ausgeführt:

[code=]
Searching for lxml
Reading http://pypi.python.org/simple/lxml/
Reading http://codespeak.net/lxml
Best match: lxml 2.0.2
Downloading http://codespeak.net/lxml/lxml-2.0.2.tgz
Processing lxml-2.0.2.tgz
Running lxml-2.0.2/setup.py -q bdist_egg --dist-dir /tmp/easy_install-AmYNXQ/lxml-2.0.2/egg-dist-tmp-BNrOSN
Building lxml version 2.0.2.
NOTE: Trying to build without Cython, pre-generated 'src/lxml/etree.c' needs to be available.
warning: no previously-included files found matching 'doc/pyrex.txt'
[/code]

da hängt er dann ne ganze weile, bis am schluss noch folgendes kommt:

[code=]
/usr/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
error: Setup script exited with error: command 'gcc' failed with exit status 1
[/code]


gruss

d
Benutzeravatar
Trundle
User
Beiträge: 591
Registriert: Dienstag 3. Juli 2007, 16:45

Beitragvon Trundle » Montag 3. März 2008, 15:15

Das Paket `zlib1g-dev' installieren und noch einmal probieren.
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 15:18

ok, hab ich versucht. das problem bleibt aber das gleiche.
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Montag 3. März 2008, 17:45

Die Fehlermeldung des Compilers sagt doch recht deutlich, dass du keine Header für libxml und libxslt hast. Also musst du die entsprechenden Dev-Pakete installieren.
My god, it's full of CARs! | Leonidasvoice vs Modvoice
Benutzeravatar
Trundle
User
Beiträge: 591
Registriert: Dienstag 3. Juli 2007, 16:45

Beitragvon Trundle » Montag 3. März 2008, 17:52

Leonidas hat geschrieben:Die Fehlermeldung des Compilers sagt doch recht deutlich, dass du keine Header für libxml und libxslt hast. Also musst du die entsprechenden Dev-Pakete installieren.

Hat der OP doch. Allerdings verstehe ich nicht, warum die letzte Fehlermeldung nach dem Installieren von `zlib1g-dev' noch Auftritt.
Benutzeravatar
Leonidas
Administrator
Beiträge: 16023
Registriert: Freitag 20. Juni 2003, 16:30
Kontaktdaten:

Beitragvon Leonidas » Montag 3. März 2008, 18:03

Trundle hat geschrieben:Hat der OP doch. Allerdings verstehe ich nicht, warum die letzte Fehlermeldung nach dem Installieren von `zlib1g-dev' noch Auftritt.

:oops: Übersehen. Gut, vielleicht ist die Installation misslungen? Vielleicht die zlib neu installieren?
My god, it's full of CARs! | Leonidasvoice vs Modvoice
debian75
User
Beiträge: 90
Registriert: Dienstag 27. November 2007, 01:05

Beitragvon debian75 » Montag 3. März 2008, 18:13

ok ich habe jetzt zlib1g-dev entfernd und nochmal neu installiert und jetzt hats geklappt. thnx !!

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder